Transak OnrampAsk AIpost https://api-pay-sandbox.venly.io/fiat-ramp/transak/onThis endpoint is used to create a Transak onramp URL.Body ParamsfiatAmountnumberThe amount in fiat currency showing how much your user wants to spend or receive. If this is passed, the user can't change the fiat amount. This param will be skipped if fiatCurrency is not passed.fiatCurrencystringThe code of the fiat currency (e.g. USD, AUD, GBP) you want the user to purchase withcryptoAmountnumberAn integer amount showing how much crypto your user wants to buy. This parameter will be skipped if cryptoCurrency.symbol is not passed. This parameter will be skipped if a valid combination of fiatCurrency and fiatAmount is passedcryptoCurrencyobjectDefine the crypto network and the crypto token's symbolDefine crypto network and symbol objectredirectUrlstringOnce the customer has completed the purchase/sell process, Transak will redirect back to this URL with additional order info appended to it as parameters.emailstringThe email that will be used to identify your user and their orderwalletAddressstringThe wallet address of your user where crypto will be sent toisFeeCalculationHiddenbooleanIf this is set to true, your user won't see a detailed breakdown of fees—they'll only see the total feetruefalsehideMenubooleanWhen true, then the user will not see the menu options. This will hide the menu completelytruefalseHeadersacceptstringenumDefaults to application/jsonGenerated from available response content types*/*application/jsonAllowed:*/*application/jsonResponses 200OK 400When the request contains invalid input 401When the user is not authorized to access the resource 403When a user doesn't have proper security authority 404When a resource is not found 405When the HttpMethod is not supported 415Usually when the input is not a valid json 500When there's an unexpected errorUpdated 5 months ago